%define upstream_name    Module-Install-CheckConflicts
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Notify users of possible conflicts with the distribution they're installing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildArch: noarch


%description
Sometimes APIs need to be broken in incompatible ways. That's fine, as long
as all dependencies that relied on the old way have been updated already.
If users install install a new version of your module, but aren't aware
that they need to update other modules that might have been broken by that
new version, they'll be left with a non-functional installation of those
depending modules.

This module allows to declare modules your distribution breaks in your
'Makefile.PL'. If a user is installing your distribution, a message
explaining the situation and a list of additional modules he needs to
upgrade will presented.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-13.mga10
+ Revision: 2204042
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-12.mga9
+ Revision: 1809745
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1505221
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1284794
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1165551
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1159313
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1030063
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 937942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 745764
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685439
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 512987
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 369852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 22646
- cleaning spec file
- imported package perl-Module-Install-CheckConflicts


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 607077
- import perl-Module-Install-CheckConflicts

